<div
	class="column"
	ng-repeat="column in $ctrl.getWidgets() track by column.name"
>

	<div 
		class="contact-widget"
		ng-repeat="widget in column.children track by widget.name"
		ng-class="'contact-widget-' + widget.name"
	>

		<div class="contact-widget-inner">

			<h2>{{::widget.label}}</h2>

			<div class="contact-widget-content" ng-switch="widget.name">

				<zs-timeline
					ng-switch-when="timeline"
					timeline-reference="$ctrl.getSubjectReference()"
					enable-filter="false"
					max-items="10"
					event-types="$ctrl.getRelevantEventTypes()"
					no-items-message="Geen contactmomenten"
				>
				</zs-timeline>

				<zs-case-widget
					ng-switch-when="cases"
					widget-data="$ctrl.getCases()"
					widget-loading="$ctrl.isLoading()"
					data-compact="'true'"
					no-items-message="Geen openstaande zaken"
				>
				</zs-case-widget>

				<table
					ng-switch-when="information"
					class="contact-data"
				>
					<tr ng-repeat="item in $ctrl.getSubjectInformation() track by item.key">
						<th>{{::item.label}}</th>
						<td ng-bind-html="::item.value"></td>
					</tr>
				</table>

			</div>

			<a 
			class="btn btn-primary btn-flat contact-widget-more-button"
			ui-sref="{{::widget.state}}"
			>
				Bekijk {{::widget.moreLabel}}
			</a>

		</div>

	</div>

</div>